#include <iostream>

using namespace std;

int main()
{
    int vaga;
    do {
        cout<<"Unesite broj vaga: ";
        cin>>vaga;
    } while (vaga < 1 || vaga > 200000);
    int pitanja;
    do {
        cout<<"Unesite broj pitanja: ";
        cin>>pitanja;
    } while (pitanja < 1 || pitanja > 200000);
    
    int i = 1;
    int brVaga = 0;
    while (i <= vaga) {
        int di, gi, x;
        do {
            cout<<"Unesite donju granicu: ";
            cin>>di;
        } while (di < 0 || di > 1000000000);
        do {
            cout<<"Unesite gornju granicu: ";
            cin>>gi;
        } while (gi < 0 || gi > 1000000000);
        do {
            cout<<"Unesite tezinu: ";
            cin>>x;
        } while (x < 0 || x > 1000000000);
        if (di <= x && x <= gi) {
            brVaga++;
        }
        i++;
    }
    cout<<"Broj vaga za koje vazi tezina je: ";
    cout<<brVaga;
}